Subject: bug#74712: 31.0.50; Add occurrence time of and-let* in Emacs

From: "Yue Yi" <[email-masked]>
Date: Fri, 6 Dec 2024 22:53:23 +0800

Hello Emacs:

In the past few days, I spent some time researching the history of foo-let
changes in Emacs. I noticed that and-let* was first implemented by Mark Oteiza
as an alias for when-let* (commit be10c00), and then it was re-implemented
(commit 4612b2a). During the process of repeated modifications (commits af4697f,
f6bd7e0, 441fe20), Michael Heerdegen removed the related changes of and-let*
from the NEWS, which also led to (describe-function 'and-let*) not showing the
correct introduction VERSION of and-let* in the *HELP* buffer.

Therefore, I suggest adding the following code in symbol-releases.eld:

("26.1" fun and-let*)

Regards,

Yi Yue